Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009457 [DCSS] Bug Report minor always 2015-01-29 19:40 2015-02-02 17:30
Reporter Grisamentum View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.16 ancient branch
Summary 0009457: Vampire poison immunity/resistance display inconsistencies
Description On the vampire ability chart (A -> !), the game indicates that vampires have poison resistance from "Thirsty" through "Bloodless". Similarly, @ indicates that to a bloodless vampire, "At your current hunger state you resist poison."

However bloodless vampires are actually poison-immune. The % screen reads "rPois ?" and poison status shows up as grey in the sidebar. No poison damage is taken.

Suggestion: the vampire ability chart needs to say "?" under bloodless, so that's clear that bloodless vampires are meant to be poison immune. The "@" readout could change similarly to "At your current hunger state you are immune to poison."
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0028399)
Grisamentum (reporter)
2015-01-29 20:04
edited on: 2015-01-29 20:04

Clarification: infinity symbol where it says "?" in the description.

(0028415)
MarvinPA (developer)
2015-01-31 22:56

Fixed, thanks for reporting.

- Issue History
Date Modified Username Field Change
2015-01-29 19:40 Grisamentum New Issue
2015-01-29 20:04 Grisamentum Note Added: 0028399
2015-01-29 20:04 Grisamentum Note Edited: 0028399
2015-01-31 22:56 MarvinPA Note Added: 0028415
2015-01-31 22:56 MarvinPA Status new => resolved
2015-01-31 22:56 MarvinPA Fixed in Branch => 0.16 development branch
2015-01-31 22:56 MarvinPA Resolution open => done
2015-01-31 22:56 MarvinPA Assigned To => MarvinPA
2015-02-02 17:30 Grisamentum Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker